EDIT - bug #9671

handshake_failure on polling for updates at http://eunis.eea.europa.eu/rdf/species.rdf.gz
06/15/2021 04:13 PM - Andreas Kohlbecker

Status: New Start date:

Priority: Highest Due date:

Assignee: Andreas Muller % Done: 0%
Category: utis Estimated time: 0:00 hour
Target version: uTIS 1.4

Severity: normal Found in Version:

Description

javax.net.ssl.SSLHandshakeException: Received fatal alert: handshake_failure

at sun.security.ssl.Alerts.getSSLException (Alerts. java:192)

at sun.security.ssl.Alerts.getSSLException (Alerts. java:154)

at sun.security.ssl.SSLSocketImpl.recvAlert (SSLSocketImpl.java:1971)

at sun.security.ssl.SSLSocketImpl.readRecord (SSLSocketImpl. java:1088)

at sun.security.ssl.SSLSocketImpl.performInitialHandshake (SSLSocketImpl. java:1324)

at sun.security.ssl.SSLSocketImpl.startHandshake (SSLSocketImpl. java:1351)

at sun.security.ssl.SSLSocketImpl.startHandshake (SSLSocketImpl. java:1335)

at org.apache.http.conn.ssl.SSLConnectionSocketFactory.createlLayeredSocket (SSLConnectionSo
cketFactory. java:275)

at org.apache.http.conn.ssl.SSLConnectionSocketFactory.connectSocket (SSLConnectionSocketFa
ctory.java:254)

at org.apache.http.impl.conn.HttpClientConnectionOperator.connect (HttpClientConnectionOper
ator.java:118)

at org.apache.http.impl.conn.PoolingHttpClientConnectionManager.connect (PoolingHttpClientC
onnectionManager. java:314)

at org.apache.http.impl.execchain.MainClientExec.establishRoute (MainClientExec. java:363)

at org.apache.http.impl.execchain.MainClientExec.execute (MainClientExec. java:219)

at org.apache.http.impl.execchain.ProtocolExec.execute (ProtocolExec. java:195)

at org.apache.http.impl.execchain.RetryExec.execute (RetryExec. java:85)

at org.apache.http.impl.execchain.RedirectExec.execute (RedirectExec.java:108)

at org.apache.http.impl.client.InternalHttpClient.doExecute (InternalHttpClient.java:186)

at org.apache.http.impl.client.CloseableHttpClient.execute (CloseableHttpClient. java:82)

at org.apache.http.impl.client.CloseableHttpClient.execute (CloseableHttpClient.java:106)

at org.cybertaxonomy.utis.store.Neod4djStoreUpdater.getRemotelLastModified (Neo4jStoreUpdater.
java:94)

at org.cybertaxonomy.utis.store.Neo4jStoreUpdater.checkNewerVersion (Neo4jStoreUpdater. java
:119)

at org.cybertaxonomy.utis.store.NeodjStoreUpdater.updateIlfNeeded (Neod4jStoreUpdater.java:19
7)

at org.cybertaxonomy.utis.store.NeodjStoreUpdater$l.run (NeodjStoreUpdater. java:140)
2021-06-15 13:35:02,300 ERROR [Neo4jStoreUpdater] store.Neo4djStoreUpdater (Neod4jStoreUpdater.java:
106) - IOException, if this problem persists it will block from updating the neo4jStore
javax.net.ssl.SSLHandshakeException: Received fatal alert: handshake_failure

at sun.security.ssl.Alerts.getSSLException (Alerts.java:192) ~[?:1.7.0_261]

at sun.security.ssl.Alerts.getSSLException (Alerts.java:154) ~[?:1.7.0_261]

at sun.security.ssl.SSLSocketImpl.recvAlert (SSLSocketImpl.java:1971) ~[?2:1.7.0_261]

at sun.security.ssl.SSLSocketImpl.readRecord (SSLSocketImpl. java:1088) ~[?:1.7.0_261]

at sun.security.ssl.SSLSocketImpl.performInitialHandshake (SSLSocketImpl. java:1324) ~[?2:1.7
.0_261]

at sun.security.ssl.SSLSocketImpl.startHandshake (SSLSocketImpl.java:1351) ~[?:1.7.0_261]

at sun.security.ssl.SSLSocketImpl.startHandshake (SSLSocketImpl.java:1335) ~[?2:1.7.0_261]

at org.apache.http.conn.ssl.SSLConnectionSocketFactory.createlLayeredSocket (SSLConnectionSo
cketFactory. java:275) ~[httpclient-4.3.2.jar:4.3.2]

at org.apache.http.conn.ssl.SSLConnectionSocketFactory.connectSocket (SSLConnectionSocketFa
ctory.java:254) ~[httpclient-4.3.2.jar:4.3.2]

at org.apache.http.impl.conn.HttpClientConnectionOperator.connect (HttpClientConnectionOper
ator.java:118) ~[httpclient-4.3.2.jar:4.3.2]

at org.apache.http.impl.conn.PoolingHttpClientConnectionManager.connect (PoolingHttpClientC
onnectionManager.java:314) ~[httpclient-4.3.2.jar:4.3.2]

at org.apache.http.impl.execchain.MainClientExec.establishRoute (MainClientExec. java:363) ~
[httpclient-4.3.2.jar:4.3.2]

at org.apache.http.impl.execchain.MainClientExec.execute (MainClientExec.java:219) ~[httpcl
ient-4.3.2.jar:4.3.2]

at org.apache.http.impl.execchain.ProtocolExec.execute (ProtocolExec.java:195) ~[httpclient
-4.3.2.jar:4.3.2]

at org.apache.http.impl.execchain.RetryExec.execute (RetryExec.java:85) ~[httpclient-4.3.2.
jar:4.3.2]

at org.apache.http.impl.execchain.RedirectExec.execute (RedirectExec.java:108) ~[httpclient
-4.3.2.jar:4.3.2]

at org.apache.http.impl.client.InternalHttpClient.doExecute (InternalHttpClient.java:186) ~
[httpclient-4.3.2.jar:4.3.2]

at org.apache.http.impl.client.CloseableHttpClient.execute (CloseableHttpClient. java:82) ~[
httpclient-4.3.2.jar:4.3.2]

at org.apache.http.impl.client.CloseableHttpClient.execute (CloseableHttpClient. java:106) ~
[httpclient-4.3.2.jar:4.3.2]

at org.cybertaxonomy.utis.store.NeodjStoreUpdater.getRemoteLastModified (NeodjStoreUpdater.
java:96) [utis-core-1.3.0-SNAPSHOT. jar:?]

at org.cybertaxonomy.utis.store.NeodjStoreUpdater.checkNewerVersion (Neo4djStoreUpdater. java
:121) [utis-core-1.3.0-SNAPSHOT. jar:?]

at org.cybertaxonomy.utis.store.Neo4jStoreUpdater.updatelfNeeded (Neo4jStoreUpdater. java:20
8) [utis—-core-1.3.0-SNAPSHOT. jar:?]

at org.cybertaxonomy.utis.store.NeodjStoreUpdater$l.run (NeodjStoreUpdater. java:144) [utis-
core—-1.3.0-SNAPSHOT. jar:?]

History

#1 - 02/25/2022 04:38 PM - Andreas Miiller
- Target version changed from 1.4 to UTIS 1.4

#2 - 02/25/2022 04:41 PM - Andreas Miiller
- Project changed from UTIS to EDIT
- Category changed from utis to utis

- Severity set to normal

#3 - 02/25/2022 04:41 PM - Andreas Miiller

- Assignee changed from Andreas Kohlbecker to Andreas Mliller
